import http from '../http'

export default {
  page: data => http.post('/v1/equip_info/page_vo', data).then(res => res),
  getTree: data => http.put('/v1/equip_info/get_tree', data).then(res => res),
  getById: id => http.get('/v1/equip_info/' + id).then(res => res),
  edit: data =>
    http.put('/v1/equip_info?id=' + data.id, data.obj).then(res => res),
  add: data => http.post('/v1/equip_info/', data).then(res => res),
  addDetail: data =>
    http.post('/v1/equip_info/addDetail/', data).then(res => res)
}
